PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateSphereMesh

Creates a mesh on the d-dimensional sphere, S^d.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateSphereMesh(MPI_Comm comm, PetscInt dim, PetscBool simplex, PetscReal R, DM *dm)

Collective

### Input Parameters

| comm | - The communicator for the DM object
| dim | - The dimension
| simplex | - Use simplices, or tensor product cells
| R | - The radius

### Output Parameter

| dm | - The DM object

### See Also

DMPlexCreateBallMesh(), DMPlexCreateBoxMesh(), DMSetType(), DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/impls/plex/tutorials/ex7.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages